Function
createQGramIndex
Builds a q-gram index on a sequence.
createQGramIndex(index)
createQGramIndex(sa, dir, bucketMap, text, shape, stepSize) [DEPRECATED]
Include Headers
seqan/index.h
Parameters

index | The q-gram index. Types: IndexQGram
sa | The resulting list in which all q-grams are sorted alphabetically.
dir | The resulting array that indicates at which position in index the corresponding q-grams can be found.
bucketMap | Stores the q-gram hashes for the openaddressing hash maps, see indexBucketMap. If bucketMap is of the type Nothing the q-gram hash determines the bucket address in the index.
text | The sequence.
shape | The shape to be used. Types: Shape
stepSize | Store every stepSize'th q-gram in the index.

Remarks
This function should not be called directly. Please use indexCreate or indexRequire. The resulting tables must have appropriate size before calling this function.
Return Values
Index contains the sorted list of qgrams. For each q-gram dir contains the first position in index that corresponds to this q-gram.
Member of
IndexQGram
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58